Skip to main content
GET
/
applications
/
attachments
List attachments
curl --request GET \
  --url https://api.incentives.leap.energy/alpha/applications/attachments \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.incentives.leap.energy/alpha/applications/attachments"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.incentives.leap.energy/alpha/applications/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 456,
    "application_id": 123,
    "attachment_type": "INVOICE_EQUIPMENT",
    "filename": "invoice.pdf",
    "path": "app-123/a1b2c3d4-e5f6-7890-abcd-ef1234567890-invoice.pdf",
    "content_type": "application/pdf",
    "size": 245760,
    "created_at": "2025-01-10T10:00:00Z",
    "updated_at": "2025-01-15T14:30:00Z"
  }
]
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}

Overview

List attachments for one or more applications.
  • Use application_id for a single application (requires attachment_type)
  • Use application_ids for bulk listing (comma-separated, attachment_type is optional)
For attachment types and workflow details, see the Attachments Workflow section in the API Guide.

Authorizations

x-api-key
string
header
required

API key for authentication. Include your Leap API key in the x-api-key header: x-api-key: leap_live_...

Query Parameters

application_id
integer

Application ID to list attachments for. Requires attachment_type parameter.

application_ids
string

Comma-separated list of application IDs for bulk listing. attachment_type is optional.

attachment_type
enum<string>

Filter by attachment type. Required when using application_id.

Available options:
INVOICE_EQUIPMENT,
INVOICE_INSTALL,
PERMIT,
PHOTO_NAMEPLATE,
PHOTO_INSTALL,
PHOTO_METER,
AHRI_CERT,
NEAT_REPORT,
INCOME_FORM,
W9,
OTHER,
VEHICLE_PURCHASE,
UTILITY_BILL,
VEHICLE_REGISTRATION,
TARIFF_CONFIRMATION

Response

Successfully retrieved attachments

id
integer
required

Unique identifier for the attachment

Example:

456

application_id
integer
required

ID of the application this attachment belongs to

Example:

123

attachment_type
enum<string>

Type of attachment

Available options:
INVOICE_EQUIPMENT,
INVOICE_INSTALL,
PERMIT,
PHOTO_NAMEPLATE,
PHOTO_INSTALL,
PHOTO_METER,
AHRI_CERT,
NEAT_REPORT,
INCOME_FORM,
W9,
OTHER,
MODEL_TECH_SPECS,
VEHICLE_PURCHASE,
UTILITY_BILL,
VEHICLE_REGISTRATION,
TARIFF_CONFIRMATION
Example:

"INVOICE_EQUIPMENT"

filename
string

Original filename

Example:

"invoice.pdf"

path
string

Storage path of the file

Example:

"app-123/a1b2c3d4-e5f6-7890-abcd-ef1234567890-invoice.pdf"

content_type
string

MIME type of the file

Example:

"application/pdf"

size
integer | null

File size in bytes

Example:

245760

created_at
string<date-time>

Timestamp when attachment was created

Example:

"2025-01-10T10:00:00Z"

updated_at
string<date-time>

Timestamp when attachment was last updated

Example:

"2025-01-15T14:30:00Z"